This page was not yet optimized for use on mobile devices.
GSP3000 Hardware Security Module
Certificate details
| Certificate ID | #4085 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 30.11.2021 , 30.01.2023 |
| Standard | FIPS 140-2 |
| Security level | 3 |
| Type | Hardware |
| Embodiment | Multi-Chip Embedded |
| Caveat | When operated in FIPS mode |
| Description | The GSP3000 Hardware Security Module (HSM) is a multi-chip embedded cryptographic module that provides secure data storage and crypto-processing functionality. The module is assembled from production quality components. All sensitive components of the module are physically protected by a tamper resistant, responsive, and evident casing where all cryptographic operations are performed. |
| Version (Hardware) | P/Ns 9800-2079 Rev7, Rev8, Rev8C, Rev8D, Rev9A.A, Rev9B.A, Rev9C.A, Rev9D.A, Rev9A.B, Rev9B.B, Rev9C.B, Rev9D.B, Rev11A.A, Rev11B.A, Rev11C.A or Rev11D.A |
| Version (Firmware) | 7.0.0.4 |
| Vendor | Futurex http://www.futurex.com |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, DES, Triple-DES, TDES, HMAC, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
RSA 4096, RSA-2048, RSA 2048, RSA 1024, ECDH, ECDSA, ECC, Diffie-Hellman, DHHash functions
SHA-1, SHA-224, SHA-384, MD5, RIPEMD-160Schemes
MAC, Key ExchangeProtocols
SSL, TLS, TLS v1.0, TLS 1.3Randomness
DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192Block cipher modes
ECB, CBC, CTR, OFB, GCMTLS cipher suites
TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_GMC_SHA256, TLS_DHE_RSA_WITH_AES_256_GMC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384Security level
Level 3Side-channel analysis
side channel, SPA, DPA, physical tamperingCertification process
out of scope, must be validated through the FIPS 140-2 CMVP. Any other firmware loaded into this module is out of scope of this validation and require a separate FIPS 140-2 validationStandards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 198-1, FIPS 180-4, FIPS PUB 140-2, FIPS PUB 180-2, FIPS PUB 198-1, NIST SP 800-38A, NIST SP 800-38B, NIST SP 800-38D, NIST SP 800-38F, SP 800-133, NIST SP 800-135, NIST SP 800-90A, SP 800-56A, SP 800-108, SP 800-56C, SP 800-56B, NIST SP 800-52, PKCS 1, PKCS #11, RFC7919, RFC 8446, RFC 5288, RFC 5246, RFC 7919Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4085,
"dgst": "3052c83f1a40e0c4",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#C2003",
"KBKDF#C2005",
"#C2003",
"ECDSA#C2004",
"KTS#C2004",
"AES#C2004",
"CVL#C2004",
"HMAC#C2004",
"AES#C2005",
"#C2005",
"SHS#C2003",
"#C2004",
"DRBG#C2004"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"7.0.0.4"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 41,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 22
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 10
}
},
"FF": {
"DH": {
"DH": 2,
"Diffie-Hellman": 4
}
},
"RSA": {
"RSA 1024": 1,
"RSA 2048": 2,
"RSA 4096": 2,
"RSA-2048": 1
}
},
"certification_process": {
"OutOfScope": {
"must be validated through the FIPS 140-2 CMVP. Any other firmware loaded into this module is out of scope of this validation and require a separate FIPS 140-2 validation": 1,
"out of scope": 1
}
},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 8
},
"OFB": {
"OFB": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 4
},
"TLS": {
"TLS": 32,
"TLS 1.3": 2,
"TLS v1.0": 1
}
}
},
"crypto_scheme": {
"KEX": {
"Key Exchange": 3
},
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 2,
"P-224": 10,
"P-256": 10,
"P-384": 6,
"P-521": 14
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#11": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 1,
"AES 256": 6,
"AES-128": 1,
"AES-256": 10,
"AES-CMAC 128": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-384": 2,
"PKCS #11": 2,
"PKCS 1": 4,
"RSA 1024": 1,
"RSA 2048": 2,
"RSA 4096": 2,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 4,
"SHA-224": 1,
"SHA-384": 1,
"SHA2-224": 1,
"SHA2-256": 1,
"SHA2-384": 1,
"SHA2-512": 1
}
},
"fips_security_level": {
"Level": {
"Level 3": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"RIPEMD": {
"RIPEMD-160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 4
},
"SHA2": {
"SHA-224": 1,
"SHA-384": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 15
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"FI": {
"physical tampering": 1
},
"SCA": {
"DPA": 1,
"SPA": 1,
"side channel": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 53,
"FIPS 180-4": 2,
"FIPS 186-4": 4,
"FIPS 198-1": 1,
"FIPS PUB 140-2": 7,
"FIPS PUB 180-2": 1,
"FIPS PUB 198-1": 1
},
"NIST": {
"NIST SP 800-135": 1,
"NIST SP 800-38A": 2,
"NIST SP 800-38B": 1,
"NIST SP 800-38D": 2,
"NIST SP 800-38F": 4,
"NIST SP 800-52": 2,
"NIST SP 800-90A": 1,
"SP 800-108": 1,
"SP 800-133": 1,
"SP 800-56A": 4,
"SP 800-56B": 1,
"SP 800-56C": 5
},
"PKCS": {
"PKCS #11": 1,
"PKCS 1": 2
},
"RFC": {
"RFC 5246": 1,
"RFC 5288": 1,
"RFC 7919": 1,
"RFC 8446": 4,
"RFC7919": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 34,
"AES-128": 1,
"AES-256": 10
}
},
"DES": {
"3DES": {
"TDES": 1,
"Triple-DES": 10
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 9,
"HMAC-SHA-256": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_GMC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_GMC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#C2003",
"KBKDF#C2005",
"ECDSA#C2004",
"KTS#C2004",
"AES#C2004",
"CVL#C2004",
"HMAC#C2004",
"AES#C2005",
"SHS#C2003",
"DRBG#C2004"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C2003",
"#C2004",
"#C2005"
]
},
"policy_metadata": {
"/Author": "[email protected]",
"/Comments": "",
"/Company": "",
"/CreationDate": "D:20230126132301-08\u002700\u0027",
"/Creator": "Acrobat PDFMaker 22 for Word",
"/Keywords": "",
"/ModDate": "D:20230126132332-08\u002700\u0027",
"/Producer": "Adobe PDF Library 22.3.90",
"/SourceModified": "D:20230126211821",
"/Subject": "",
"/Title": "",
"pdf_file_size_bytes": 1223483,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "3f36818ff3053b2b8e3be999f8168dcf075e2c6e268a502c1e4a419c10f67e91",
"source_hash": "9f8c6270610baa4c3cd9d1073dc9d6c7e21160f61bc36e9beec8149cf1f88656",
"txt_hash": "023ab887579b837bd6bbdfd631928419da191ef586ccda197c2465876ed9db91"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2021_011221_0923_signed.pdf",
"date_sunset": null,
"description": "The GSP3000 Hardware Security Module (HSM) is a multi-chip embedded cryptographic module that provides secure data storage and crypto-processing functionality. The module is assembled from production quality components. All sensitive components of the module are physically protected by a tamper resistant, responsive, and evident casing where all cryptographic operations are performed.",
"embodiment": "Multi-Chip Embedded",
"exceptions": null,
"fw_versions": "7.0.0.4",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "P/Ns 9800-2079 Rev7, Rev8, Rev8C, Rev8D, Rev9A.A, Rev9B.A, Rev9C.A, Rev9D.A, Rev9A.B, Rev9B.B, Rev9C.B, Rev9D.B, Rev11A.A, Rev11B.A, Rev11C.A or Rev11D.A",
"level": 3,
"mentioned_certs": {},
"module_name": "GSP3000 Hardware Security Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-11-30",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-01-30",
"lab": "UL Verification Services, Inc.",
"validation_type": "Update"
}
],
"vendor": "Futurex",
"vendor_url": "http://www.futurex.com"
}
}